Subject: Re: [bug#37121] [PATCH 32/40] gnu: libxklavier: Update to 5.4.

From: L p R n d n <[email-masked]>
Date: Wed, 28 Aug 2019 22:33:35 +0200

Hello,

Ludovic Courtès <[email-masked]> writes:

> Hello,
>
> L  p R n  d n <[email-masked]> skribis:
>
>> * gnu/packages/gnome.scm (libxklavier): Update to 5.4.
>> [source] Switch to git source.
>> [arguments] Add no-configure phase. Disable xmodmap in #:configure-flags.
>> [inputs] Add which, intltool, gtk-doc, which, automake, autoconf and libtool.
>
> [...]
>
>> -    (version "5.3")
>> +    (version "5.4")
>>      (source (origin
>> -              (method url-fetch)
>> -              (uri (string-append "mirror://gnome/sources/" name "/"
>> -                                  version "/" name "-" version ".tar.xz"))
>> +              (method git-fetch)
>> +              (uri
>> +               (git-reference
>> +                (url (string-append "https://anongit.freedesktop.org/git/" name))
>> +                (commit "396955bd2ba2db34a42b3807b03155fcc11dfe50")))
>>                (sha256
>>                 (base32
>> -                "016lpdv35z0qsw1cprdc2k5qzkdi5waj6qmr0a2q6ljn9g2kpv7b"))))
>> +                "1w1x5mrgly2ldiw3q2r6y620zgd89gk7n90ja46775lhaswxzv7a"))
>> +              (file-name (git-file-name name version))))
>
> How does this commit relate to version 5.4?
> <https://www.freedesktop.org/wiki/Software/LibXklavier/> says that
> release tarballs are available on the GNOME web site, and there’s no 5.4
> there.

That's true, it's only available  through git. The commit seems to be
6 years old and after some invastigation, 5.4 appears to be used
by other distributions (at least Nixos, Arch and Debian) for several
years. I don't know what are upstream's plans nor why it's not available
on GNOME's website though.

>
> Was this change necessary for the Xfce upgrade?

Yeah, I'm not really confortable with this either but xfce4-xkb-plugin
explicitely ask for at least libxklavier 5.4. On the other hand
xfce4-xbd-plugin is not part of xfce's core so that update is arguable.

> Thanks,
> Ludo’.

Have a nice day,

L  p R n  d n